Relesys API Docs

v1.2

https://api.relesysapp.net/api/v1.2

Content

Get Content By Id
GET /contentmodules/{moduleId}/content/{contentId}
https://api.relesysapp.net/api/v1.2/contentmodules/{moduleId}/content/{contentId}
Get the content with ID contentId.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Responses
application/json
JSON
{"data":{"id":"14b75825-e03c-46eb-b600-5aecdfce6422","url":null,"userId":"fd911720-90bc-4598-9cec-c9713a9dc533","userUrl":null,"categoryId":"bf10a0f9-4ddf-4e9e-9868-d57433772ece","categoryUrl":null,"sortOrder":1,"status":"Published","creationDateTime":"2026-04-29T17:44:51.5969127+00:00","lastModifiedDateTime":"2026-04-30T13:44:51.5969127+00:00","availableFrom":"2026-04-30T17:44:51","startDateTimeZone":null,"availableUntil":"2026-05-01T17:44:51","endDateTimeZone":null,"medias":[{"id":"7f9935c6-4cda-4789-bcd4-80d7dee60338","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"image.png"},{"id":"c03d4f4e-cd56-4e65-9649-267463580677","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"video.mp4"}],"featureMediaId":null,"featureMediaDownloadUrl":null,"mentions":[{"type":"User","name":"User name example","id":"30cf2996-65bf-40c6-b916-36e4ff6a348d","url":null},{"type":"Department","name":"Department name example","id":"0aa986d8-8f03-4ed0-80fc-388ef3defd5d","url":null},{"type":"User group","name":"User group name example","id":"58cc9675-ae48-4845-9e65-cdccb1d3c125","url":null}],"locales":[{"culture":"en-GB","title":"Example title 1","bodyText":"<p>Example body text 1</p>"}],"permissions":[{"departments":[{"url":null,"name":"Department name example","id":"1aa51c26-fc16-4232-9735-81fa607b774a"}],"userGroups":[{"url":null,"name":"User group name example","id":"67f2a24b-7ac3-45e2-b24d-faadccb291d5"}],"requireAllUserGroups":false}]}}
object
  data object      
   availableFrom string      
   availableUntil string      
   categoryId string / guid      
   categoryUrl string      
   creationDateTime datetimeoffset      
   endDateTimeZone string      
   featureMediaDownloadUrl string      
   featureMediaId string / guid      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    bodyText string      
    culture string      
    title string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   permissions array[object]      
    departments array[object]      
     id string / guid      
     name string      
     url string      
    requireAllUserGroups boolean      
    userGroups array[object]      
     id string / guid      
     name string      
     url string      
   sortOrder integer      
   startDateTimeZone string      
   status string      
   url string      
   userId string / guid      
   userUrl string